---
# leave this alone, if the template changes this will
# give us something to check against.
contrib_package_information: 1.0

# update_type added in by SL
update_type: enhancement

# What is this package named?
#
#  This should corrospond to a single source rpm
#  If you've got multiple source packages that are part of a single
#  application, please fill out the form once for each source package
#  but let us know they are part of a single application
# examples:
#
#   nagios
#   filezilla
#   brtfs-utils
#   kmod-brtfs
package: spl-dkms-0.6.3-1.el6

# A non-opensource licence will be rejected without consideration
licence: GPL

# you can only have one primary_contact but you MUST have one
# If you don't want to set an alternate contacts, that is fine
submitted_by:
    #
    # Note each 'name' begins with '-' and nothing else does
    #
    - name:  Chris Brown
      email: christopher.brown@med.ge.com
      primary_contact: Yes

    - name:  Dave Kraus
      email: Dave.Kraus@ge.com
      primary_contact: No

    - name:  Jonathan Schaaf
      email: jonathan.P.schaaf@ge.com
      primary_contact: No

    - name:  Jim Foris
      email: jim.foris@med.ge.com
      primary_contact: No

# the project webpage
#   examples:
#   http://www.nagios.org/
#   http://filezilla-project.org/
project_page: http://zfsonlinux.org

# the project's public code repo
#   examples:
#   http://nagios.svn.sourceforge.net/viewvc/nagios/
#   https://svn.filezilla-project.org/svn/FileZilla3/trunk
project_code: https://github.com/zfsonlinux/spl

# The format of this date should be:
#   MM/DD/YYYY
#   for example:
#     01/31/2012
#      would be January 31, 2012
release_date: 06/12/2014

# Simply taking a copy of the project's current source repo
# is not advised.  An official release typically has had
# some review to make sure any code changes don't lead to weird
# regressions.  A snapshot of the source tree typically has no such guarantee
release_announcement: https://groups.google.com/a/zfsonlinux.org/forum/#!topic/zfs-announce/Lj7xHtRVOM4

#
# If the project has released code that works for you, but
#  they have not said it is production ready, mark this as No
#
# Even if you've been running it in production for a while,
#  if the project says it isn't ready - we need to trust them.
#
production_ready: Yes

explanation_of_hosting: >
    ZFS on Linux (ZOL) is currently manually added to HELiOS (Healthcare Enterprise Linux Operating System).
    HELiOS is a spin of Scientific Linux created and maintained by the GE Healthcare Compute Systems team (CST).
    HELiOS strives to be as upstream as possible thus including ZOL into SL helps us better maintain upstream 
    purity in HELiOS.
    Including ZOL in SL also allows the rest of the SL community to benefit from our work with ZOL.

release_description: >
    The ZFS on Linux team is happy to announce the release and immediate 
    availability of version 0.6.3!  This release is major step forward for 
    ZFS on Linux.  It includes a large number of new features, bug fixes and 
    other enhancements. 
    
    http://archive.zfsonlinux.org/downloads/zfsonlinux/spl/spl-0.6.3.tar.gz 
    http://archive.zfsonlinux.org/downloads/zfsonlinux/zfs/zfs-0.6.3.tar.gz 

    Key Features: 
    * Compatible with kernels up to Linux 3.14. 
    * A smoother write throttle for consistent performance under load. 
    * Smarter caching to improve the cache hit rate for certain workloads. 
    * Support for Posix style ACLs. 
    * Support for the immutable and append-only file attributes. 
    * Support for mounting filesystems with relatime style updates. 
    * SELinux integration through four new dataset properties. 
    * Systemd support for better distribution integration. 
    * A new ZFS Event Daemon (ZED) for pool monitoring and management. 
    * Support for aarch64 and sparc64 architectures. 
    * Many performance improvements. 
    * Over 200 bug fixes.

    ----------------------- SPL ChangeLog --------------------------- 
    Andrey Vesnovaty (2): 
       Expose max/min objs per slab and max slab size 
       Evenly distribute the taskq threads across available CPUs 

    Brian Behlendorf (15): 
       Consistently use local_irq_disable/local_irq_enable 
       Revert "Add KSTAT_TYPE_TXG type" 
       Merge branch 'kstat' 
       Retroactively fix bogus %changelog date 
       Add module versioning 
       Include linux/vmalloc.h for ARM and Sparc 
       Remove default taskq thread to CPU bindings 
       Remove incorrect use of EXTRA_DIST for man pages 
       splat kmem:slab_reclaim: Test cleanup 
       splat cred:groupmember: Fix false positives 
       Add KMC_SLAB cache type 
       Add spl_kmem_cache_reclaim module option 
       Restrict release number to META version 
       Fix DKMS package upgrade and packager 
       Tag spl-0.6.3 

    Chunwei Chen (4): 
       Add ddi_time_after and friends 
       Fix crash when using ZFS on Ceph rbd 
       Linux 3.15 compat: NICE_TO_PRIO and PRIO_TO_NICE 
       Linux 3.15: vfs_rename() added a flags argument 

    Cyril Plisko (2): 
       Kstat to use private lock by default 
       Tighten spl dependency on spl-kmod 

    Jorgen Lundman (1): 
       Add support for aarch64 (ARMv8) 

    Kohsuke Kawaguchi (1): 
       Document how to run SPLAT 

    Ned Bass (3): 
       Add kpreempt() compatibility macro 
       3537 add kstat_waitq_enter and friends 
       Emulate illumos interface cv_timedwait_hires() 

    Prakash Surya (2): 
       Add callbacks for displaying KSTAT_TYPE_RAW kstats 
       Add wrappers for accessing PID and command info 

    Richard Yao (7): 
       Replace current_kernel_time() with getnstimeofday() 
       Define SET_ERROR() 
       Linux 3.12 compat: New shrinker API 
       Linux 3.13 compat: Remove unused flags variable from __cv_init() 
       Linux 3.13 compat: Pass NULL for new delegated inode argument 
       Simplify hostid logic 
       Change spl_kmem_cache_expire default setting to 2 

    Tim Chase (3): 
       Support post-3.13 kthread_create() semantics. 
       De-inline spl_kthread_create(). 
       Call kthread_create() correctly with fixed arguments. 

    Turbo Fredriksson (2): 
       Document SPL module parameters. 
       Set LANG to a reasonable default (C) 

    Yuxuan Shui (1): 
       This patch add a CTASSERT macro for compile time assertion. 

    marku89 (1): 
       Define the needed ISA types for Sparc 

# Any security update must have the correct severity
# for the update specified.  The guidelines are published at the following site:
# https://access.redhat.com/security/updates/classification/
security_update: No

# if you don't have any you must have this instead
# fixed_bugs : No
fixed_bugs: No

# if you don't have any you must have this instead
# fixed_cves : No
fixed_cves: No

#
# Any i686 packages also in the x86_64 tree must be listed in both places
# any noarch packages should be listed as though they were not.
#
rpms:
    - SL6_SRPMS:
        - spl-dkms-0.6.3-1.el6.src.rpm
    - SL6_noarch:
        - spl-dkms-0.6.3-1.el6.noarch.rpm

